MGP2PS(1)

NAME
mgp2ps - generate PostScript file from MagicPoint file

SYNOPSIS
mgp2ps [-cirtV] [-f psfile] [-p papersize] [-x xmargin] [-y ymargin] mgpfile

DESCRIPTION
mgp2ps is a converter from MagicPoint file mgpfile to PostScript file. If -f option is specified, PostScript will be generated to psfile. Otherwise, printed to the standard output.

If there exists foo.eps corresponding to foo.gif (or whatever), the encapsulated PostScript file will be included to the PostScript file instead.

The following options are available:

-c  Generate color PostScript file (experimental). By default mgp2ps will generate monochrome postscript file.

-i  Paint inside icon symbols.

-r  Stack the paper in reverse order.

-V  Be verbose.

-f psfile
    Pathname to put the PostScript output.

-p papersize
    papersize specifies the size of the paper to be used. a3, a4, a5, b5, A3, A4, A5, B5, letter, legal, ledger, tabloid, statement, executive, folio, quarto and 10x14 are available. Default size is a4.

-x xmargin

-y ymargin
    xmargin and ymargin specifies length of the margin area around the edge of the paper.

-t  Use truetypefont instead of psfont (ASCII font only).

-e  Specify encodings. At this moment, "iso-8859-1", "latin1", "iso-8859-2" "and latin-2" are supported as encodings.

-m  emulate "%pause" directive.

-X engine
    Do not use rendering engine, specified by engine. engine can be only FreeType so far.

-g level
    specify the distance level between lines. If level is 0, the result will be close to the result of xft2 rendering. If others, it will be close to the result of other rendering engines.

SEE ALSO
mgp(1)

HISTORY
mgp2ps was created so that Kazu Yamamoto could submit his tutorial document to the committee of Internet Week '97.